DS_APPEND_DIM_DESC(3)

FUNCTION
ds_append_dim_desc - Append a dimension to an array.

SYNOPSIS
#include <karma_ds.h>

flag ds_append_dim_desc

(array_desc *arr_desc, dim_desc *dimension)

DESCRIPTION
This routine will append a dimension descriptor to the list of dimensions attached to an array descriptor. The appended dimension will be the LEAST significant dimension (co-ordinates have lowest stride). Tiling information is preserved, however, any address offset information is removed. If the array is NOT tiled, the dimension length will be copied into the array of bottom tile lengths.

arr_desc
    The array descriptor.

dimension
    The dimension descriptor.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/